{
  "name": "oa-modern-web",
  "version": "0.1.0",
  "private": true,
  "workspaces": [
    "src",
    "src_product/*",
    "src_custom"
  ],
  "scripts": {
    "serve": "vue-cli-service serve",
    "build": "node --max_old_space_size=3072 node_modules/@vue/cli-service/bin/vue-cli-service.js build --modern",
    "lint": "run-s lint:*",
    "build-ie": "node --max_old_space_size=3072 node_modules/@vue/cli-service/bin/vue-cli-service.js build --disable-source-map",
    "serve-ie": "vue-cli-service serve --disable-source-map",
    "serve-cd": "vue-cli-service serve --analyse-circular-dependency",
    "build-antd-map": "node ./src/common/components/_auto-import/build-antd-map.js",
    "build-icon": "node ./src/common/components/sd-icon-library/svg-to-module.js",
    "build-theme": "node ./src/common/design/buildTheme.js",
    "build-spec": "node ./src/common/components/_specs/build.js",
    "minify-code": "node ./minify-code.js",
    "lint:es": "eslint --fix --ext .js,.vue .",
    "lint:format": "prettier --write --loglevel warn \"**/*.{js,json,css,scss,vue,html,md}\"",
    "lint:md": "markdownlint \"docs/*.md\" \"*.md\"",
    "lint:style": "stylelint --fix \"src/**/*.{vue,scss,css}\"",
    "show-config": "vue inspect > vue.config.output.js",
    "styleguide": "vue-cli-service styleguidist",
    "styleguide:build": "vue-cli-service styleguidist:build",
    "build-docs": "npx docsify-auto-sidebar -d public/docs"
  },
  "dependencies": {
    "@ant-design/colors": "^4.0.1",
    "@chenfengyuan/vue-qrcode": "^1.0.2",
    "ant-design-vue": "^1.6.3",
    "axios": "^0.19.2",
    "core-js": "^3.6.4",
    "crypto-js": "^4.0.0",
    "current-script-polyfill": "^1.0.0",
    "d3": "^7.9.0",
    "dexie": "^3.2.4",
    "diff-match-patch": "^1.0.5",
    "echarts": "^4.8.0",
    "element-ui": "^2.4.11",
    "file-saver": "^2.0.5",
    "html2canvas": "^1.1.4",
    "intersection-observer": "^0.12.0",
    "jszip": "^3.7.1",
    "lodash.clonedeep": "^4.5.0",
    "lodash.debounce": "^4.0.8",
    "lodash.merge": "^4.6.2",
    "moment": "^2.27.0",
    "moment-duration-format": "^2.3.2",
    "nprogress": "^0.2.0",
    "portal-vue": "^2.1.7",
    "pubsub-js": "^1.8.0",
    "qs": "^6.9.3",
    "scroll-into-view-if-needed": "^2.2.26",
    "sm-crypto": "^0.2.1",
    "vcrontab": "^0.3.5",
    "vue": "~2.7.14",
    "vue-cal": "^3.6.3",
    "vue-color": "^2.8.1",
    "vue-draggable-resizable": "^2.2.0",
    "vue-echarts": "^5.0.0-beta.0",
    "vue-i18n": "^8.27.1",
    "vue-infinite-scroll": "^2.0.2",
    "vue-meta": "^2.4.0",
    "vue-okr-tree": "1.0.15",
    "vue-quill-editor": "^3.0.6",
    "vue-router": "^3.3.4",
    "vue-signature-pad": "^2.0.2",
    "vue-tidyroutes": "^0.1.2",
    "vue-virtual-scroller": "^1.0.10",
    "vuedraggable": "^2.24.3",
    "vuex": "^3.5.1",
    "vuex-persistedstate": "^3.0.1",
    "vuex-shared-mutations": "^1.0.2",
    "vxe-table": "3.8.6",
    "wangeditor": "^4.7.12",
    "xe-utils": "^3.5.26",
    "xlsx": "^0.17.0"
  },
  "devDependencies": {
    "@lwc/eslint-plugin-lwc": "^0.10.0",
    "@types/echarts": "^4.6.3",
    "@types/webpack-env": "^1.15.2",
    "@vue/cli-plugin-babel": "~4.5.19",
    "@vue/cli-plugin-eslint": "~4.5.19",
    "@vue/cli-service": "~4.5.19",
    "babel-eslint": "^10.1.0",
    "babel-plugin-import": "^1.13.0",
    "circular-dependency-plugin": "^5.2.2",
    "css-unicode-loader": "^1.0.3",
    "docsify-tools": "^1.0.20",
    "enhanced-resolve": "^5.0.0",
    "eslint": "^6.7.2",
    "eslint-config-prettier": "^6.11.0",
    "eslint-config-standard": "^14.1.1",
    "eslint-plugin-babel": "^5.3.1",
    "eslint-plugin-filenames": "^1.3.2",
    "eslint-plugin-import": "^2.22.0",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-promise": "^4.2.1",
    "eslint-plugin-standard": "^4.0.1",
    "eslint-plugin-vue": "^6.2.2",
    "glob": "^7.1.6",
    "launch-editor-middleware": "^2.2.1",
    "less": "^3.12.2",
    "less-loader": "^5.0.0",
    "less-plugin-variables-output": "^1.2.0",
    "lodash.camelcase": "^4.3.0",
    "lodash.kebabcase": "^4.1.1",
    "lodash.startcase": "^4.4.0",
    "markdownlint-cli": "^0.22.0",
    "mocker-api": "^2.1.0",
    "mockjs": "^1.1.0",
    "npm-run-all": "^4.1.5",
    "patch-package": "^6.4.7",
    "path-override-webpack-plugin": "^0.1.2",
    "recursive-readdir": "^2.2.2",
    "sass": "^1.26.10",
    "sass-loader": "^8.0.2",
    "stylelint": "^13.6.1",
    "stylelint-config-css-modules": "^2.2.0",
    "stylelint-config-prettier": "^8.0.2",
    "stylelint-config-recess-order": "^2.0.4",
    "stylelint-config-standard": "^20.0.0",
    "stylelint-declaration-use-variable": "^1.7.2",
    "stylelint-no-unsupported-browser-features": "^4.0.0",
    "stylelint-scss": "^3.18.0",
    "terser": "^5.14.2",
    "typescript": "^3.9.7",
    "vue-cli-plugin-styleguidist": "^4.32.2",
    "vue-template-compiler": "^2.7.14",
    "xml2js": "^0.4.23",
    "yargs": "^16.0.3"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/essential",
      "eslint:recommended"
    ],
    "parserOptions": {
      "parser": "babel-eslint"
    },
    "rules": {}
  },
  "vetur": {
    "tags": "./src/common/components/_specs/tags.json",
    "attributes": "./src/common/components/_specs/attributes.json"
  },
  "browserslist": [
    "ie 11",
    "Firefox 49-52",
    "last 3 Firefox versions",
    "last 3 Chrome versions"
  ]
}
